%define _name gupnp-dlna

Name: libgupnp-dlna
Version: 0.4.2
Release: alt1
Summary: A collection of helpers for building UPnP AV applications

Group: System/Libraries
License: LGPLv2+
Url: http://www.gupnp.org/
# Note, a copy of gst-convenience is temporarily included uptil this bug is fixed in gstreamer upstream
# https://bugzilla.gnome.org/show_bug.cgi?id=625944
Packager: Alexey Shabalin <shaba@altlinux.ru>

Source: http://www.gupnp.org/sites/all/files/sources/%name-%version.tar

BuildRequires: glib2-devel
BuildRequires: libgssdp-devel libgupnp-devel libgupnp-av-devel
BuildRequires: gstreamer-devel gst-plugins-devel
BuildRequires: libxml2-devel
BuildRequires: gtk-doc

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-dlna is a collection of helpers for building DLNA (Digital
Living Network Alliance) compliant applications using GUPnP.

%package devel
Summary: Development package for %_name
Group: Development/Other
Requires: %name = %version-%release

%description devel
Contains libraries and header files for developing applications that
use %_name.

%package devel-doc
Summary: Development package for %_name
Group: Development/Documentation
BuildArch: noarch
Conflicts: %name < %version

%description devel-doc
Contains developer documentation for %_name.

%package vala
Summary: Development package for %_name
Group: Development/Other
Requires: %name = %version-%release
Requires: vala

%description vala
Files for vala development with %_name.

%prep
%setup

%build
./autogen.sh
%configure --disable-static --enable-gtk-doc
%make_build

%install

%makeinstall_std

%files
%doc AUTHORS COPYING README TODO
%_bindir/*
%_libdir/lib*.so.*
%_datadir/%_name

%files devel
%_libdir/lib*.so
%_pkgconfigdir/*.pc
%_includedir/*

%files devel-doc
%_datadir/gtk-doc/html/*

%files vala
%_datadir/vala/vapi/gstreamer-*

%changelog
* Tue Oct 19 2010 Alexey Shabalin <shaba@altlinux.ru> 0.4.2-alt1
- initial build for ALT Linux Sisyphus
